package de.laliluna.tutorial.nested.form;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import de.laliluna.tutorial.nested.object.Customer;
import de.laliluna.tutorial.nested.object.Department;

/** 
 * Action Form Class ExampleForm
 */
public class ExampleForm extends ActionForm {

	Department department;
	
	public Department getDepartment() {
		return department;
	}
	public void setDepartment(Department department) {
		this.department = department;
	}
	
	/**
	 * Reset method
	 * @param mapping
	 * @param request
	 */
	public void reset(ActionMapping mapping, 
					  HttpServletRequest request) {
		
		//initial a dummy collection of customers
		Collection customers = new ArrayList();
		customers.add(new Customer(1, "Maria"));
		customers.add(new Customer(2, "Klaus"));
		customers.add(new Customer(3, "Peter"));
		
		//initial a dummy department
		department = new Department(1, "Department A", customers);
		
	}
}